cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/folders/{folder_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"labels": {},
"name": "<string>",
"organization_id": "<string>",
"parent_id": "<string>",
"path": [
{
"id": "<string>",
"name": "<string>"
}
],
"resource_id": "<string>",
"resource_type": "FOLDER"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Get folder info for a folder
Can be used by the following roles assigned at the organization or folder scope:
- ORG_ADMIN
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
- CLUSTER_DEVELOPER
- CLUSTER_CREATOR
- FOLDER_ADMIN
- FOLDER_MOVER
- METRICS_VIEWER
- CLUSTER_MONITOR
- AUDITOR
- CLUSTER_DATA_ACCESSOR
GET
/
api
/
v1
/
folders
/
{folder_id}
cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/folders/{folder_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"labels": {},
"name": "<string>",
"organization_id": "<string>",
"parent_id": "<string>",
"path": [
{
"id": "<string>",
"name": "<string>"
}
],
"resource_id": "<string>",
"resource_type": "FOLDER"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Response
A successful response.
FolderResource describes a resource, and includes info about its lineage (parent/ancestors).

